Main Page Class Hierarchy Alphabetical List Compound List File List Compound Members File Members Related Pages

# vtkOStrStreamWrapper Class Reference

`#include <vtkOStrStreamWrapper.h>`

Inheritance diagram for vtkOStrStreamWrapper:

[legend]
Collaboration diagram for vtkOStrStreamWrapper:

[legend]
List of all members.

## Detailed Description

Wrapper for ostrstream. Internal VTK use only.

Date:
  2002/12/10 19:10:39

Revision:
  1.1

Provides a wrapper around the C++ ostrstream class so that VTK source files need not include the full C++ streams library. This is intended to prevent cluttering of the translation unit and speed up compilation. Experimentation has revealed between 10% and 60% less time for compilation depending on the platform. This wrapper is used by the macros in vtkSetGet.h.

Created by:
  - King, Brad

CVS contributions (if > 5%):
  - King, Brad (100%)

CVS logs (CVSweb):
  - .`h` (`/Common/vtkOStrStreamWrapper.h)`
  - .`cxx` (`/Common/vtkOStrStreamWrapper.cxx)`

Definition at line 47 of file vtkOStrStreamWrapper.h.

## Public Methods
| vtkOStrStreamWrapper ()
| ~vtkOStrStreamWrapper ()
char * | str ()
vtkOStrStreamWrapper * | rdbuf ()
void | freeze ()
void | freeze (int)
## Protected Attributes
char * | Result
int | Frozen

## Constructor & Destructor Documentation

vtkOStrStreamWrapper::vtkOStrStreamWrapper | ( |  | ) |

| Constructor.

vtkOStrStreamWrapper::~vtkOStrStreamWrapper | ( |  | ) |

| Destructor frees all used memory.

## Member Function Documentation

char* vtkOStrStreamWrapper::str | ( |  | ) |

| Get the string that has been written. This call transfers ownership of the returned memory to the caller. Call rdbuf()->freeze(0) to return ownership to the vtkOStrStreamWrapper.

vtkOStrStreamWrapper* vtkOStrStreamWrapper::rdbuf | ( |  | ) |

| Returns a pointer to this class. This is a hack so that the old ostrstream's s.rdbuf()->freeze(0) can work.

void vtkOStrStreamWrapper::freeze | ( |  | ) |

| Set whether the memory is frozen. The vtkOStrStreamWrapper will free the memory returned by str() only if it is not frozen.

void vtkOStrStreamWrapper::freeze | ( | int |  | ) |

| Set whether the memory is frozen. The vtkOStrStreamWrapper will free the memory returned by str() only if it is not frozen.

## Member Data Documentation

char* vtkOStrStreamWrapper::Result`[protected]`

| Definition at line 73 of file vtkOStrStreamWrapper.h.

int vtkOStrStreamWrapper::Frozen`[protected]`

| Definition at line 76 of file vtkOStrStreamWrapper.h.

The documentation for this class was generated from the following file:

- Common/vtkOStrStreamWrapper.h